/**********************************************************************
 *     EPSCAN, an EPSON ES-1200 scanner driver     
 *     Adam P. Jenkins <ajenkins@cs.umass.edu>
 *     
 *     This program is free software; you can redistribute it and/or
 *     modify it under the terms of the GNU General Public License
 *     as published by the Free Software Foundation; either version 2
 *     of the License, or (at your option) any later version.
 *     
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *     
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 **********************************************************************/

// -*-c++-*-

#ifndef _SEPARATOR_H
#define _SEPARATOR_H

#include <qframe.h>
#include <qlayout.h>

class Separator : public QFrame
{
public:
  enum Direction { Vertical, Horizontal };
  Separator(QWidget *parent=0, Direction dir=Vertical, int w=4, const char *name=0)
    : QFrame(parent, name) {
      setFrameStyle( QFrame::HLine | QFrame::Sunken );
      if (dir == Horizontal) {
	setMaximumSize(QLayout::unlimited, w);
	setMinimumSize(0, w);
      } else {
	setMaximumSize(w, QLayout::unlimited);
	setMinimumSize(w, 0);
      }
    }
};

#endif
